from flask import request

from app.defines import StatesCode
from app.utils.jwt_util import verify_jwt


def configure(app):
    @app.before_request
    def authenticate():
        """
        这里验证token
        :return:
        """
        token = request.headers.get('token')
        if token:
            payload = verify_jwt(token)
            if payload is None:
                return {"code": StatesCode.UNKNOWN_ERROR, "message": "无效的token"}
        else:
            return {"code": StatesCode.UNKNOWN_ERROR, "message": "无效的token"}
